﻿@font-face {
    font-family: 'TopSecretFont'; /* closers (){}[]*/
    src: url('fonts/TopSecret/topsecret.eot'); /* IE9 Compat Modes */
    src: url('fonts/TopSecret/topsecret.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('fonts/TopSecret/topsecret.woff2') format('woff2'), /* Super Modern Browsers */
    url('fonts/TopSecret/topsecret.woff') format('woff'), /* Pretty Modern Browsers */
    url('fonts/TopSecret/topsecret.ttf') format('truetype'), /* Safari, Android, iOS */
    url('fonts/TopSecret/topsecret.svg#svgFontName') format('svg'); /* Legacy iOS */
}

html, form, #wrapper {
    height:100%;
    width:100%;
}

.alertPanel, .alertPanelError {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    /*display: inline-block;*/
    width: 100%;
    border-radius: 5px;
    padding: 20px 20px;
    margin-bottom: 10px;
}

.alertPanel {
    border: 1px solid #3480eb;
    background-color: #e8f1fc; /*#d3dff0;*/
    color: #2f68ba;
}

.alertPanelError {
    border: 1px solid #e00000;
    background-color: #ffe6e6;
    color: #cc3131;
}

.infoPanel {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    /*display: inline-block;*/
    width: 100%;
    border-radius: 5px;
    padding: 20px 20px;
    margin-bottom: 10px;
    border: 1px solid #bababa;
    background-color: #f5f5f5; /*#d3dff0;*/
    color: #6b6b6b; /*#828282;*/
}

.textAlignCenter {
    text-align: center !important;
}

.tdNoSidePadding {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

img.realWidth {
    width: auto !important;
    max-width: unset !important;
}

img.imgInfo {
    border-radius: 0px !important;
}

i.imgExpandRow {
    font-size: 14px;
    color: #999999;
    font-weight: 100;
}

i.imgRowDelete, i.imgRowDelete:hover {
    margin-left: 3px;
    font-size: 16px;
    color: #7f7f7f;
    cursor: pointer;
}

    i.imgRowDelete:hover {
        color: #464646;
    }

.feedbackSmiley {
    filter: opacity(0.5);
    transition: all 0.3s;
    margin-left: 10px;
}

    .feedbackSmiley:hover, .feedbackSmileySelected {
        filter: grayscale(0) opacity(1);
        cursor: pointer;
        margin-left: 10px;
    }


.stockStatus {
    display: inline-block;
    width: auto;
    text-align: left;
    font-size: smaller;
    padding-top: 5px;
}

.stockStatus.in {
    color: #2f68ba;
}

.stockStatus.out{
    color: #cc3131;
}

.stockStatus.busy {
    color: #cc3131;
    font-size:small;
}

    .stockStatus.done {
        color: #27a823;
        font-size: small;
    }

.inline {
    display: inline !important;
}

input[type=checkbox] {
    display:inline;
    vertical-align: bottom;
    position: relative;

}

span.input.checkbox label[for] {
    vertical-align:middle;
    line-height: 1.7rem;
}

 div.headerTextWrapper {
     display:none;
    /*display: table;*/
    position: absolute;
    height: 60px;
    width: auto;
    vertical-align: middle;
    left: 20px;
    top: 15px;
    z-index: 1;
}

DIV.headerText {
    display: table-cell;
    height: auto;
    vertical-align: middle;
    width: auto;
    visibility: visible;
}

.classified {
    font-family: 'TopSecretFont' !important;
    color: #e2272d;
    font-size: 32px;
    font-weight: normal;
    letter-spacing: 1px;
    transform: rotate(-4deg);
    /*background-color: rgba(255,255,255,.5);*/
}

tr.cleanHead th {
    background-color: transparent !important;
    background: none !important;
    color: #2f2f2f !important;
    font-weight:bold !important;
}

.blocker {
    background-color: rgba(0,0,0,0.2) !important;
}

tr.orderTotRow td {
    padding: 10px 10px 5px 20px !important;
    border-bottom: 0px solid transparent;
    background: transparent;
}

tr.orderTotRow.lastRow td {
    padding-bottom: 10px !important;
    font-weight: bold;
    border-bottom: 1px solid #686868; /*#c1cd04;*/
}

/***************/
.fa-plus {
    font-family: 'Font Awesome 5 Free' !important;
    color: #7e7e7e;
    font-size: 16px;
}

.fa-check {
    font-family: 'Font Awesome 5 Free' !important;
    color: #06992d;
    font-size: 16px;
}

.fa-info-circle {
    font-family: 'Font Awesome 5 Free' !important;
    color: #2777cc;
    font-size: 25px;
}

.fa-bars {
    font-family: 'Font Awesome 5 Free' !important;
    color: #696969;
    font-size: 19px;
}

    .fa-bars .selected {
        color: #2777cc;
    }

.info-circle-small {
    font-size: 18px;
}


.groepRowSelected {
    background-color: #f0f0f0;
}

.groepRow:hover, .groepRowSelected:hover {
    cursor: pointer;
    background-color: #f0f0f0;
}

.groepDetails > td {
    padding: 0px !important;
}

.subtable {
    width: 100%;
    margin: 0px;
    border-collapse: separate !important;
}

    .subtable tfoot {
        display: none;
    }

    .subtable tr th, .subtable tr td {
        /*background-image: url("../images/bg-table.png");*/
    }

    .subtable td {
        border-bottom: 1px solid #d1d1d1 !important; 
    }
 

    .subtable th:first-child {
        
    }

    .subtable th:last-child {
        
    }

    .subtable tr td:first-child {
        margin-left: 5px;
        border-left: 0px !important;
    }

    .subtable tr td:last-child {
        margin-right: 5px;
        border-right: 0px !important;
    }

    .subtable tr:last-child td {
        border-bottom: 0px !important;
    }

    .subtable tr:last-child td:first-child {
        border-left: 0px !important;
        border-bottom-left-radius: 0px !important;
    }

    .subtable tr:last-child td:last-child {
        border-right: 0px !important;
        border-bottom-right-radius: 0px !important;
    }

    .subtable tr th:first-child {
        background-position: 0 0 !important;
    }

    .subtable tr th.last {
        background-position: 100% 0;
    }

    .subtable tr td {
        background-position: 50% -50px;
        padding: 15px 10px 15px 20px;
    }

        .subtable tr td:first-child {
            background-position: 0 -50px;
            border-left: 0px !important;
        }

        .subtable tr td.last {
            background-position: 100% -50px;
        }

    .subtable tr:last-child td:first-child {
        border-left: 0px !important;
        border-bottom-left-radius: 0px !important;
    }

    .subtable tr:last-child td:last-child {
        border-right: 0px !important;
        border-bottom-right-radius: 0px !important;
    }

    .subtable tfoot td {
        padding: 0;
        height: 10px;
        background-position: 50% 100%;
    }

        .subtable tfoot td:first-child {
            background-position: 0 100%;
        }

        .subtable tfoot td.last {
            background-position: 100% 100%;
        }

    .subtable .tpage > td:first-child {
        padding: 0px;
    }

    .subtable .tpage td table tr td {
        border: 0px solid transparent !important;
    }

        .subtable .tpage td table tr td span {
            font-weight: bold;
        }

/******************/

.table tr th a {
    color: #fff;
    text-decoration: none;
    font-weight: normal;
}

.table tr th a:hover {
    font-weight:bolder;
}

.modal {
    max-width: 2000px !important;
    width:auto !important;
}

.productWrap {
    width:100%;
    cursor:pointer;
}
.productDesc {
    position: relative;
    display:table-cell;
    vertical-align:top;
    padding-left:10px;
}

.productNotes {
    padding-top:5px;
}

.productThumb {
    border: 1px solid #aaa;
    width: 80px;
    height: 80px;
    overflow: hidden;
    display: table-cell;
}

.productThumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0px !important;
}

    .productThumb img.NoImage {
        background-image: url("../images/EmptyProductIcon.jpg");
        background-size:cover;
        background-repeat:no-repeat;
    }


.productLarge {
    padding-top: 10px;
    margin: 0 auto;
    min-width: 200px;
    max-width: 300px;
    width:auto;
    height:auto;
    overflow: hidden;
}

    .productLarge img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 10px;
    }

        .productLarge img.NoImage {
            background-image: url("../images/EmptyProductIcon.jpg");
            background-size: cover;
            background-repeat: no-repeat;
        }

.productLargeInfo {
    padding-left: 20px;
    height: 100%;
    max-height: 500px;
}

    .productLargeInfo span {
        line-height: normal !important;
    }

    .tblProductInfo {
    height: auto;
    min-height: 250px;
    max-height: 500px;
}

.vscroll {
    overflow-y: auto;
    overflow-x: hidden;
}

.adres:first-line {
    font-weight: bold;
}

/******************************************************/
/*                 CUSTOM SELECT                      */
details.custom-select {
    position: relative;
    width: 300px;
    margin-right: 1rem;
}

    details.custom-select[open] {
        z-index: 1;
    }

.custom-select summary {
    border: 1px solid rgba(129,129,129,.25);
    padding: 10px 15px;
    transition: border-color .5s;
    box-shadow: none;
    border-radius: 5px;
    width: 300px;
    cursor: pointer;
    list-style: none;
}

.custom-select summary::-webkit-details-marker {
    display: none;
}

details.custom-select[open] summary:before {
    content: '';
    display: block;
    width: 100vw;
    height: 100vh;
    background: transparent;
    position: fixed;
    top: 0;
    left: 0;
}

.custom-select summary:after {
    content: '';
    display: inline-block;
    float: right;
    margin-top: -15px;
    width: 8px;
    height: 8px;
    border-bottom: 1px solid currentColor;
    border-left: 1px solid currentColor;
    border-bottom-left-radius: 2px;
    transform: rotate(45deg) translate(50%, 0%);
    transform-origin: center center;
    transition: transform ease-in-out 100ms
}

.custom-select summary:focus {
    outline: none;
}

details.custom-select[open] summary:after {
    transform: rotate(-45deg) translate(0%, 0%);
}

.custom-select ul {
    list-style: none;
    border: 1px solid rgba(129,129,129,.25);
    padding: 0;
    transition: border-color .5s;
    box-shadow: none;
    border-radius: 5px;
    width:333px;

    /*width: 100%;*/
    background: #fff;
    position: absolute;
    top: calc(100% + .5rem);
    left: 0;
    /*padding: 1rem;*/
    margin: 0;
    box-sizing: border-box;

    max-height: 200px;
    overflow-y: auto;
}

.custom-select li {
    margin: 0;
    padding:  10px 15px;
    border-bottom: 1px solid #ccc;
    background-color: #fff;
}

    .custom-select li:hover {
        background-color: #f3f3f3;
        cursor:default;
    }

    .custom-select li:first-child {
        /*padding-top: 0;*/
    }

.custom-select li:last-child {
/*    padding-bottom: 0;*/
    border-bottom: none;
}

    .custom-select li:first-line, .custom-select summary:first-line {
        font-weight: bold;
    }


input[type="radio"] {
    margin: 0px 10px;
    vertical-align: middle;
    height: 100%;
    margin-top: -3px;
    /*    width: 100%;
    height: 2em;*/
    border: 2px solid #2ebec3;
}

    input[type='radio']:after {
        width: 15px;
        height: 15px;
        border-radius: 15px;
        top: -2px;
        left: -1px;
        position: relative;
        background-color: #fff;
        content: '';
        display: inline-block;
        visibility: visible;
        border: 2px solid #808080;
    }

    input[type='radio']:checked:after {
        width: 15px;
        height: 15px;
        border-radius: 15px;
        top: -2px;
        left: -1px;
        position: relative;
        background-color: #808080;
        content: '';
        display: inline-block;
        visibility: visible;
        border: 2px solid #808080;
    }


/* FAKE SELECT */

.custom-select summary.radios {
    counter-reset: radios;
}

.custom-select input[type=radio] {
    counter-increment: radios;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    display: none;
}

    .custom-select input[type=radio]:checked {
        display: inline;
    }

.custom-select input[type=radio]:after {
    content: attr(title);
    display: inline;
    font-size: 1rem;
}

.custom-select ul.list {
    counter-reset: labels;
}

.custom-select label {
    width: 100%;
    display: block;
    cursor: pointer;
}

/************************************************************************************
    Tooltip
************************************************************************************/
.ui-tooltip, .arrow:after {
    background: white;
    border: 2px solid rgba(110, 110, 110, .5);
}

.ui-tooltip {
    padding: 10px 20px;
    color: white;
    line-height: 13pt;
    border-radius: 5px;
    /*font: normal 9pt "Arial", Sans-Serif;*/
    box-shadow: 0 0 3px black;
    background-color: white !important;
    pointer-events: none;
}

.arrow {
    width: 70px;
    height: 16px;
    overflow: hidden;
    position: absolute;
    left: 50%;
    margin-left: -35px;
    bottom: -16px;
    pointer-events: none;
}

    .arrow.top {
        top: -16px;
        bottom: auto;
    }

    .arrow.left {
        left: 20%;
    }

    .arrow:after {
        content: "";
        position: absolute;
        left: 20px;
        top: -20px;
        width: 25px;
        height: 25px;
        box-shadow: 6px 5px 9px -9px black;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    .arrow.top:after {
        bottom: -20px;
        top: auto;
    }

.divMachineImage {
    width: 100%;
    text-align: center;
}

    .divMachineImage img {
        max-width: 500px;
    }

.noVerticalAlign {
    vertical-align: unset !important;
}

.inputFileWrapper label span {
    background-color: transparent;
    display: inline-flex !important;
    margin-top: 2px;
    margin-left: 8px;
}